RabbitMQ container stuck restarting endlessly on undercloud node

Solution Verified - Updated -

Issue

  • Undercloud installation fails at the UndercloudPostPyDeployment task (from /home/stack/install-undercloud.log):
2020-06-16 11:36:28.921 563604 WARNING tripleoclient.v1.tripleo_deploy.Deploy [  ] TASK [Output for sync deployment UndercloudPostPyDeployment]
...
2020-06-16 11:36:28.984 563604 WARNING tripleoclient.v1.tripleo_deploy.Deploy [  ]                 "[2020-06-16 11:36:27,342] (heat-config) [DEBUG] b'[2020-06-16 11:33:51,735] (heat-config) [INFO] config={\"cloud_name\": \"undercloud\", \"home_dir\": \"/home/stack\", \"snmp_readonly_user_password\": \"password\", \"undercloud_db_host\": \"192.168.24.3\", \"undercloud_db_password\": \"password\"}\\n[2020-06-16 11:33:51,735] (heat-config) [INFO] deploy_server_id=UUID\\n[2020-06-16 11:33:51,735] (heat-config) [INFO] deploy_action=CREATE\\n[2020-06-16 11:33:51,735] (heat-config) [INFO] deploy_stack_id=undercloud-AllNodesDeploySteps-p75qftkpr73u-UndercloudExtraConfigPost-46msn6ks6fie-UndercloudPostPyDeployment-jpnveaxskkpx-0-4x7n7x7mcsh2/UUID\\n[2020-06-16 11:33:51,735] (heat-config) [INFO] deploy_resource_name=TripleOSoftwareDeployment\\n[2020-06-16 11:33:51,735] (heat-config) [INFO] deploy_signal_transport=NO_SIGNAL\\n[2020-06-16 11:33:51,736] (heat-config) [DEBUG] Running /var/lib/heat-config/heat-config-script/943bff48-c58e-48f5-8a70-c8550e671b01\\n[2020-06-16 11:36:27,329] (heat-config) [INFO] b\\'INFO: Undercloud Post - Nova configuration completed successfully.\\\\nINFO: Undercloud post - Mistral workbooks configured successfully.\\\\nINFO: Undercloud post - Mistral environment configured successfully.\\\\nERROR: Undercloud Post - Failed.\\\\n\\'\\n[2020-06-16 11:36:27,329] (heat-config) [DEBUG] b\\'Traceback (most recent call last):\\\\n  File \"/usr/lib/python3.6/site-packages/mistralclient/api/base.py\", line 144, in _create\\\\n    resp = self.http_client.post(url, data, headers)\\\\n  File \"/usr/lib/python3.6/site-packages/mistralclient/api/httpclient.py\", line 54, in decorator\\\\n    resp = func(self, *args, **kwargs)\\\\n  File \"/usr/lib/python3.6/site-packages/mistralclient/api/httpclient.py\", line 120, in post\\\\n    return self.session.post(self.base_url + url, data=body, **options)\\\\n  File \"/usr/lib/python3.6/site-packages/keystoneauth1/session.py\", line 1106, in post\\\\n    return self.request(url, \\\\\\'POST\\\\\\', **kwargs)\\\\n  File \"/usr/lib/python3.6/site-packages/keystoneauth1/session.py\", line 943, in request\\\\n    raise exceptions.from_response(resp, method, url)\\\\nkeystoneauth1.exceptions.http.GatewayTimeout: Gateway Timeout (HTTP 504)\\\\n\\\\nDuring handling of the above exception, another exception occurred:\\\\n\\\\nTraceback (most recent call last):\\\\n  File \"/var/lib/heat-config/heat-config-script/943bff48-c58e-48f5-8a70-c8550e671b01\", line 185, in <module>\\\\n    _create_default_plan(mistral)\\\\n  File \"/var/lib/heat-config/heat-config-script/943bff48-c58e-48f5-8a70-c8550e671b01\", line 156, in _create_default_plan\\\\n    \\\\\\'use_default_templates\\\\\\': True})\\\\n  File \"/usr/lib/python3.6/site-packages/mistralclient/api/v2/executions.py\", line 61, in create\\\\n    return self._create(\\\\\\'/executions\\\\\\', data)\\\\n  File \"/usr/lib/python3.6/site-packages/mistralclient/api/base.py\", line 146, in _create\\\\n    self._raise_api_exception(ex.response)\\\\n  File \"/usr/lib/python3.6/site-packages/mistralclient/api/base.py\", line 216, in _raise_api_exception\\\\n    error_message=error_data)\\\\nmistralclient.api.base.APIException: b\"<html><body><h1>504 Gateway Time-out</h1>\\\\\\\\nThe server didn\\\\\\'t respond in time.\\\\\\\\n</body></html>\\\\\\\\n\"\\\\n\\'\\n[2020-06-16 11:36:27,329] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-script/943bff48-c58e-48f5-8a70-c8550e671b01. [1]\\n\\n'",
...
2020-06-16 11:36:30.848 561384 ERROR tripleoclient.v1.undercloud.InstallUndercloud

Environment

  • Red Hat OpenStack Platform 16

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content